eoBitInversion(3)

NAME
eoBitInversion - eoBitInversion: inverts the bits of the chromosome between an interval

SYNOPSIS

#include <ga/eoBitOp.h>

Inherits eoMonOp< Chrom >.

  Public Member Functions
virtual std::string className () const
The class name.
bool operator() (Chrom &chrom)
Inverts a range of bits in a binary chromosome.

Detailed Description

  template<class Chrom> class eoBitInversion< Chrom >
eoBitInversion: inverts the bits of the chromosome between an interval

Definition at line 146 of file eoBitOp.h.

Member Function Documentation

  template<class Chrom> bool eoBitInversion< Chrom >::operator() (Chrom & chrom) [inline, virtual]

Inverts a range of bits in a binary chromosome.

Parameters:
    chrom The chromosome whos bits are going to be inverted (a range).

Implements eoUF< Chrom &, bool >.

Definition at line 156 of file eoBitOp.h.

Author

Generated automatically by Doxygen for EO from the source code.